# Function getCanvasCenterCoordinatesToRef

- getCanvasCenterCoordinatesToRef<T extends Vertex2>(scene: Scene, out: T): T

  Get center coordinate of canvas used by `scene`

  #### Type Parameters

  - T extends Vertex2

  #### Parameters

  - scene: Scene

    Scene which utilizes the canvas we which to get center coordinate for

  - out: T

    Canvas coordinates

  #### Returns T

  Reference to `out`.